Package com.microblink.blinkid.results.ocr

# Enum Class OcrFont

java.lang.Object
java.lang.Enum<OcrFont>
com.microblink.blinkid.results.ocr.OcrFont

All Implemented Interfaces:
  `Serializable`, `Comparable<OcrFont>`, `Constable`

public enum OcrFont extends Enum<OcrFont>
A list of fonts supported by BlinkOCR

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `OCR_FONT_AKZIDENZ_GROTESK`
  `OCR_FONT_ANTONIO_REGULAR`
  `OCR_FONT_ANY`
  `OCR_FONT_ARABIC_NILE`
  `OCR_FONT_ARIAL`
  `OCR_FONT_ARIAL_BLACK`
  `OCR_FONT_ARNHEM`
  `OCR_FONT_AVANT_GARDE`
  `OCR_FONT_BEMBO`
  `OCR_FONT_BODONI`
  `OCR_FONT_CALIBRI`
  `OCR_FONT_CALIBRI_BOLD`
  `OCR_FONT_CHAINPRINTER`
  `OCR_FONT_COMIC_SANS`
  `OCR_FONT_CONCERTO_ROUNDED_SG`
  `OCR_FONT_CORPORATE_LIGHT`
  `OCR_FONT_COURIER`
  `OCR_FONT_COURIER_BOLD`
  `OCR_FONT_COURIER_CONDENSED`
  `OCR_FONT_COURIER_MEDIUM_BOLD`
  `OCR_FONT_COURIER_NEW_BOLD`
  `OCR_FONT_COURIER_NEW_CE`
  `OCR_FONT_DEJAVU_SANS_MONO`
  `OCR_FONT_DIN`
  `OCR_FONT_EUROPA_GRO_SB`
  `OCR_FONT_EUROPA_GRO_SB_LIGHT`
  `OCR_FONT_EUROPA_GROTESK_NO_2_SB_BOLD`
  `OCR_FONT_EUROSTILE`
  `OCR_FONT_F25_BANK_PRINTER_BOLD`
  `OCR_FONT_FE_SCHRIFT`
  `OCR_FONT_FRANKLIN_GOTHIC`
  `OCR_FONT_FRUTIGER`
  `OCR_FONT_FUTURA`
  `OCR_FONT_FUTURA_BOLD`
  `OCR_FONT_GARAMOND`
  `OCR_FONT_GEORGIA`
  `OCR_FONT_GILL_SANS`
  `OCR_FONT_HANDWRITTEN`
  `OCR_FONT_HELVETICA`
  `OCR_FONT_HELVETICA_BOLD`
  `OCR_FONT_HELVETICA_CONDENSED_LIGHT`
  `OCR_FONT_HYPERMARKET`
  `OCR_FONT_INTERSTATE`
  `OCR_FONT_LATIN_MODERN`
  `OCR_FONT_LATIN_MODERN_ITALIC`
  `OCR_FONT_LETTER_GOTHIC`
  `OCR_FONT_LUCIDA`
  `OCR_FONT_LUCIDA_SANS`
  `OCR_FONT_MATRIX`
  `OCR_FONT_META`
  `OCR_FONT_MICR`
  `OCR_FONT_MINION`
  `OCR_FONT_OCRA`
  `OCR_FONT_OCRB`
  `OCR_FONT_OFFICINA`
  `OCR_FONT_OPTIMA`
  `OCR_FONT_PRINTF`
  `OCR_FONT_ROCKWELL`
  `OCR_FONT_ROTIS_SANS_SERIF`
  `OCR_FONT_ROTIS_SERIF`
  `OCR_FONT_SABON`
  `OCR_FONT_STONE`
  `OCR_FONT_SV_BASIC_MANUAL`
  `OCR_FONT_TAHOMA`
  `OCR_FONT_TAHOMA_BOLD`
  `OCR_FONT_TEX_GYRE_TERMES`
  `OCR_FONT_TEX_GYRE_TERMES_ITALIC`
  `OCR_FONT_THE_SANS_MONO_CONDENSED_BLACK`
  `OCR_FONT_THESIS`
  `OCR_FONT_TICKET_DE_CAISSE`
  `OCR_FONT_TIMES_NEW_ROMAN`
  `OCR_FONT_TRAJAN`
  `OCR_FONT_TRINITE`
  `OCR_FONT_UKDL_LIGHT`
  `OCR_FONT_UNIVERS`
  `OCR_FONT_UNKNOWN`
  `OCR_FONT_UNKNOWN_MATH`
  `OCR_FONT_VERDANA`
  `OCR_FONT_VOLTAIRE`
  `OCR_FONT_WALBAUM`
  `OCR_FONT_XITS_MATH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OcrFont`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OcrFont[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OCR_FONT_UNKNOWN

    public static final OcrFont OCR_FONT_UNKNOWN

  - ### OCR_FONT_AKZIDENZ_GROTESK

    public static final OcrFont OCR_FONT_AKZIDENZ_GROTESK

  - ### OCR_FONT_ANTONIO_REGULAR

    public static final OcrFont OCR_FONT_ANTONIO_REGULAR

  - ### OCR_FONT_ARIAL

    public static final OcrFont OCR_FONT_ARIAL

  - ### OCR_FONT_ARIAL_BLACK

    public static final OcrFont OCR_FONT_ARIAL_BLACK

  - ### OCR_FONT_ARNHEM

    public static final OcrFont OCR_FONT_ARNHEM

  - ### OCR_FONT_AVANT_GARDE

    public static final OcrFont OCR_FONT_AVANT_GARDE

  - ### OCR_FONT_BEMBO

    public static final OcrFont OCR_FONT_BEMBO

  - ### OCR_FONT_BODONI

    public static final OcrFont OCR_FONT_BODONI

  - ### OCR_FONT_CALIBRI

    public static final OcrFont OCR_FONT_CALIBRI

  - ### OCR_FONT_CALIBRI_BOLD

    public static final OcrFont OCR_FONT_CALIBRI_BOLD

  - ### OCR_FONT_CHAINPRINTER

    public static final OcrFont OCR_FONT_CHAINPRINTER

  - ### OCR_FONT_COMIC_SANS

    public static final OcrFont OCR_FONT_COMIC_SANS

  - ### OCR_FONT_CONCERTO_ROUNDED_SG

    public static final OcrFont OCR_FONT_CONCERTO_ROUNDED_SG

  - ### OCR_FONT_CORPORATE_LIGHT

    public static final OcrFont OCR_FONT_CORPORATE_LIGHT

  - ### OCR_FONT_COURIER

    public static final OcrFont OCR_FONT_COURIER

  - ### OCR_FONT_COURIER_BOLD

    public static final OcrFont OCR_FONT_COURIER_BOLD

  - ### OCR_FONT_COURIER_MEDIUM_BOLD

    public static final OcrFont OCR_FONT_COURIER_MEDIUM_BOLD

  - ### OCR_FONT_COURIER_NEW_BOLD

    public static final OcrFont OCR_FONT_COURIER_NEW_BOLD

  - ### OCR_FONT_COURIER_NEW_CE

    public static final OcrFont OCR_FONT_COURIER_NEW_CE

  - ### OCR_FONT_COURIER_CONDENSED

    public static final OcrFont OCR_FONT_COURIER_CONDENSED

  - ### OCR_FONT_DEJAVU_SANS_MONO

    public static final OcrFont OCR_FONT_DEJAVU_SANS_MONO

  - ### OCR_FONT_DIN

    public static final OcrFont OCR_FONT_DIN

  - ### OCR_FONT_EUROPA_GROTESK_NO_2_SB_BOLD

    public static final OcrFont OCR_FONT_EUROPA_GROTESK_NO_2_SB_BOLD

  - ### OCR_FONT_EUROSTILE

    public static final OcrFont OCR_FONT_EUROSTILE

  - ### OCR_FONT_F25_BANK_PRINTER_BOLD

    public static final OcrFont OCR_FONT_F25_BANK_PRINTER_BOLD

  - ### OCR_FONT_FRANKLIN_GOTHIC

    public static final OcrFont OCR_FONT_FRANKLIN_GOTHIC

  - ### OCR_FONT_FRUTIGER

    public static final OcrFont OCR_FONT_FRUTIGER

  - ### OCR_FONT_FUTURA

    public static final OcrFont OCR_FONT_FUTURA

  - ### OCR_FONT_FUTURA_BOLD

    public static final OcrFont OCR_FONT_FUTURA_BOLD

  - ### OCR_FONT_GARAMOND

    public static final OcrFont OCR_FONT_GARAMOND

  - ### OCR_FONT_GEORGIA

    public static final OcrFont OCR_FONT_GEORGIA

  - ### OCR_FONT_GILL_SANS

    public static final OcrFont OCR_FONT_GILL_SANS

  - ### OCR_FONT_HELVETICA

    public static final OcrFont OCR_FONT_HELVETICA

  - ### OCR_FONT_HELVETICA_BOLD

    public static final OcrFont OCR_FONT_HELVETICA_BOLD

  - ### OCR_FONT_HELVETICA_CONDENSED_LIGHT

    public static final OcrFont OCR_FONT_HELVETICA_CONDENSED_LIGHT

  - ### OCR_FONT_HYPERMARKET

    public static final OcrFont OCR_FONT_HYPERMARKET

  - ### OCR_FONT_INTERSTATE

    public static final OcrFont OCR_FONT_INTERSTATE

  - ### OCR_FONT_LATIN_MODERN

    public static final OcrFont OCR_FONT_LATIN_MODERN

  - ### OCR_FONT_LATIN_MODERN_ITALIC

    public static final OcrFont OCR_FONT_LATIN_MODERN_ITALIC

  - ### OCR_FONT_LETTER_GOTHIC

    public static final OcrFont OCR_FONT_LETTER_GOTHIC

  - ### OCR_FONT_LUCIDA

    public static final OcrFont OCR_FONT_LUCIDA

  - ### OCR_FONT_LUCIDA_SANS

    public static final OcrFont OCR_FONT_LUCIDA_SANS

  - ### OCR_FONT_MATRIX

    public static final OcrFont OCR_FONT_MATRIX

  - ### OCR_FONT_META

    public static final OcrFont OCR_FONT_META

  - ### OCR_FONT_MINION

    public static final OcrFont OCR_FONT_MINION

  - ### OCR_FONT_OCRA

    public static final OcrFont OCR_FONT_OCRA

  - ### OCR_FONT_OCRB

    public static final OcrFont OCR_FONT_OCRB

  - ### OCR_FONT_OFFICINA

    public static final OcrFont OCR_FONT_OFFICINA

  - ### OCR_FONT_OPTIMA

    public static final OcrFont OCR_FONT_OPTIMA

  - ### OCR_FONT_PRINTF

    public static final OcrFont OCR_FONT_PRINTF

  - ### OCR_FONT_ROCKWELL

    public static final OcrFont OCR_FONT_ROCKWELL

  - ### OCR_FONT_ROTIS_SANS_SERIF

    public static final OcrFont OCR_FONT_ROTIS_SANS_SERIF

  - ### OCR_FONT_ROTIS_SERIF

    public static final OcrFont OCR_FONT_ROTIS_SERIF

  - ### OCR_FONT_SABON

    public static final OcrFont OCR_FONT_SABON

  - ### OCR_FONT_STONE

    public static final OcrFont OCR_FONT_STONE

  - ### OCR_FONT_SV_BASIC_MANUAL

    public static final OcrFont OCR_FONT_SV_BASIC_MANUAL

  - ### OCR_FONT_TAHOMA

    public static final OcrFont OCR_FONT_TAHOMA

  - ### OCR_FONT_TAHOMA_BOLD

    public static final OcrFont OCR_FONT_TAHOMA_BOLD

  - ### OCR_FONT_TEX_GYRE_TERMES

    public static final OcrFont OCR_FONT_TEX_GYRE_TERMES

  - ### OCR_FONT_TEX_GYRE_TERMES_ITALIC

    public static final OcrFont OCR_FONT_TEX_GYRE_TERMES_ITALIC

  - ### OCR_FONT_THE_SANS_MONO_CONDENSED_BLACK

    public static final OcrFont OCR_FONT_THE_SANS_MONO_CONDENSED_BLACK

  - ### OCR_FONT_THESIS

    public static final OcrFont OCR_FONT_THESIS

  - ### OCR_FONT_TICKET_DE_CAISSE

    public static final OcrFont OCR_FONT_TICKET_DE_CAISSE

  - ### OCR_FONT_TIMES_NEW_ROMAN

    public static final OcrFont OCR_FONT_TIMES_NEW_ROMAN

  - ### OCR_FONT_TRAJAN

    public static final OcrFont OCR_FONT_TRAJAN

  - ### OCR_FONT_TRINITE

    public static final OcrFont OCR_FONT_TRINITE

  - ### OCR_FONT_UNIVERS

    public static final OcrFont OCR_FONT_UNIVERS

  - ### OCR_FONT_VERDANA

    public static final OcrFont OCR_FONT_VERDANA

  - ### OCR_FONT_VOLTAIRE

    public static final OcrFont OCR_FONT_VOLTAIRE

  - ### OCR_FONT_WALBAUM

    public static final OcrFont OCR_FONT_WALBAUM

  - ### OCR_FONT_EUROPA_GRO_SB

    public static final OcrFont OCR_FONT_EUROPA_GRO_SB

  - ### OCR_FONT_EUROPA_GRO_SB_LIGHT

    public static final OcrFont OCR_FONT_EUROPA_GRO_SB_LIGHT

  - ### OCR_FONT_FE_SCHRIFT

    public static final OcrFont OCR_FONT_FE_SCHRIFT

  - ### OCR_FONT_MICR

    public static final OcrFont OCR_FONT_MICR

  - ### OCR_FONT_ARABIC_NILE

    public static final OcrFont OCR_FONT_ARABIC_NILE

  - ### OCR_FONT_HANDWRITTEN

    public static final OcrFont OCR_FONT_HANDWRITTEN

  - ### OCR_FONT_XITS_MATH

    public static final OcrFont OCR_FONT_XITS_MATH

  - ### OCR_FONT_UNKNOWN_MATH

    public static final OcrFont OCR_FONT_UNKNOWN_MATH

  - ### OCR_FONT_UKDL_LIGHT

    public static final OcrFont OCR_FONT_UKDL_LIGHT

  - ### OCR_FONT_ANY

    public static final OcrFont OCR_FONT_ANY

- ## Method Details

  - ### values

    public static OcrFont[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OcrFont valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null